Openi DeveloperDeveloper

List a dataset's ingestions, newest first

GET
/v1/datasets/{dataset_id}/ingestions
AuthorizationBearer <token>

In: header

Path Parameters

dataset_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid

Query Parameters

cursor?string

next_cursor from the previous page

Match^\d+$
limit?integer
Range1 <= value <= 100
Default50
status?array<>

Comma-separated statuses

Default[]

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/v1/datasets/497f6eca-6276-4993-bfeb-53cbbbba6f08/ingestions"
{  "data": [    {      "id": -9007199254740991,      "dataset_id": "string",      "status": "awaiting_upload",      "source": "api",      "format": "ndjson",      "error_policy": "reject_all",      "stats": {        "rows_total": -9007199254740991,        "rows_valid": -9007199254740991,        "rows_rejected": -9007199254740991,        "rows_inserted": -9007199254740991,        "rows_duplicate": -9007199254740991,        "errors_truncated": true      },      "error": "string",      "errors_report_url": "string",      "upload_url": "string",      "created_at": "2019-08-24T14:15:22Z",      "started_at": "2019-08-24T14:15:22Z",      "finished_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": -9007199254740991}